Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.buildin.simplelong
Class SimpleLongScoreDefinition

    java.lang.Object
      org.optaplanner.core.impl.score.definition.AbstractScoreDefinition<SimpleLongScore>
          org.optaplanner.core.impl.score.buildin.simplelong.SimpleLongScoreDefinition

All Implemented Interfaces:
  Serializable, ScoreDefinition<SimpleLongScore>

    public class SimpleLongScoreDefinition

extends AbstractScoreDefinition<SimpleLongScore>

See Also:
  Serialized Form

Constructor Summary
`SimpleLongScoreDefinition()`

Method Summary
`SimpleLongScore` | `buildOptimisticBound(InitializingScoreTrend initializingScoreTrend, SimpleLongScore score)` Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).
`SimpleLongScore` | `buildPessimisticBound(InitializingScoreTrend initializingScoreTrend, SimpleLongScore score)` Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).
`SimpleLongScoreHolder` | `buildScoreHolder(boolean constraintMatchEnabled)` Used by `DroolsScoreDirector`.
`double` | `calculateTimeGradient(SimpleLongScore startScore, SimpleLongScore endScore, SimpleLongScore score)` See explanation in `Termination.calculateSolverTimeGradient(DefaultSolverScope)`.
`int` | `getLevelCount()`
`Class<SimpleLongScore>` | `getScoreClass()` Returns the `Class` of the actual `Score` implementation
`SimpleLongScore` | `parseScore(String scoreString)` Parses the `String` and returns a `Score`.

Methods inherited from class org.optaplanner.core.impl.score.definition.AbstractScoreDefinition
`formatScore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLongScoreDefinition

    public SimpleLongScoreDefinition()

Method Detail

### getLevelCount

    public int getLevelCount()

  Returns:
    at least 1

### getScoreClass

    public Class<SimpleLongScore> getScoreClass()

  Description copied from interface: `ScoreDefinition`
  Returns the `Class` of the actual `Score` implementation

  Returns:
    never null

### parseScore

    public SimpleLongScore parseScore(String scoreString)

  Description copied from interface: `ScoreDefinition`
  Parses the `String` and returns a `Score`.

  Parameters:
    `scoreString` - never null
  Returns:
    never null
  See Also:
    `ScoreDefinition.formatScore(Score)`

### calculateTimeGradient

    public double calculateTimeGradient(SimpleLongScore startScore,
                                        SimpleLongScore endScore,
                                        SimpleLongScore score)

  Description copied from interface: `ScoreDefinition`
  See explanation in `Termination.calculateSolverTimeGradient(DefaultSolverScope)`.

  Parameters:
    `startScore` - never null
    `endScore` - never null
    `score` - never null
  Returns:
    between 0.0 and 1.0

### buildScoreHolder

    public SimpleLongScoreHolder buildScoreHolder(boolean constraintMatchEnabled)

  Description copied from interface: `ScoreDefinition`
  Used by `DroolsScoreDirector`.

  Parameters:
    `constraintMatchEnabled` - true if `ScoreHolder.isConstraintMatchEnabled()` should be true
  Returns:
    never null

### buildOptimisticBound

    public SimpleLongScore buildOptimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                SimpleLongScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelCount()` equal to `ScoreDefinition.getLevelCount()`.
    `score` - never null
  Returns:
    never null

### buildPessimisticBound

    public SimpleLongScore buildPessimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                 SimpleLongScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelCount()` equal to `ScoreDefinition.getLevelCount()`.
    `score` - never null
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.